Package org.opensaml.saml.metadata.resolver

# Interface DynamicMetadataResolver

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `MetadataResolver`, `Resolver<EntityDescriptor,CriteriaSet>`

All Known Implementing Classes:
  `AbstractDynamicHTTPMetadataResolver`, `AbstractDynamicMetadataResolver`, `FunctionDrivenDynamicHTTPMetadataResolver`, `LocalDynamicMetadataResolver`

public interface DynamicMetadataResolver extends MetadataResolver
Marker interface for `MetadataResolver` implementations which resolve metadata by dynamically querying for the requested data individually at the time of the resolution operation, for example by invoking a request to a remote network-based metadata publishing endpoint or metadata oracle service. Implementations may however cache the results of previous resolutions so that subsequent queries may be answered locally.

## Method Summary

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface org.opensaml.saml.metadata.resolver.MetadataResolver

`getMetadataFilter, getType, isRequireValidMetadata, setMetadataFilter, setRequireValidMetadata`

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`